Banner
StyleWare Extensions Compatibility

The bellow table ilustrates which version of K2 and Joomla! is supported.

Important: For these extensions that are work in progress, once updated to the latest version of K2, the previous versions will not be supported. For example, once Flexislider supports K2 2.6, it will no longer support K2 2.5.

ExtensionJoomla! VersionK2 VersionNotes
 1.52.53.02.52.6 
Filter for K2 No Yes Yes No Yes
Compare for K2 No Yes In progress Yes Yes
StyleWare K2 Maps No Yes Yes Yes Yes
K2 Filtrify Module Yes Yes Yes No Yes  New features will be added only to Joomla 2.5/3.0 versions.
SW K2 Nivo Slider No Yes Yes No Yes
Complexify Plugin No Yes Yes N/A N/A
Google Maps Module No Yes Yes N/A N/A
End of Page plugin for K2 Yes Yes Yes No Yes
Parallax Module for K2 No Yes Yes No Yes
K2 Flexislider Module No Yes Yes No Yes
Dropdown Menu Module for K2 Yes Yes Yes No Yes
K2 jPage Module No Yes Yes No Yes
K2 Zoomer Plugin No Yes Yes Yes Yes
Socialware Template No Yes No Yes Yes Deprecated since Joomla! 3.0
JomSocial and K2 integration No Yes No Yes No Deprecated since Joomla! 3.0 and K2 2.6
Mass resize for K2 Yes Yes No Yes No Deprecated since Joomla! 3.0 and K2 2.6
SW K2 Response module No Yes Yes No Yes
SW K2 Hover module No Yes Yes No Yes
JomSocial Search Plugins No Yes No N/A N/A Deprecated since Joomla! 3.0
SW Tubular No Yes Yes Yes Yes
Review Template Yes Yes No Yes N/A Deprecated since Joomla! 3.0
Go to top plugin Yes No No N/A N/A Deprecated since Joomla! 2.5
Popunder plugin Yes Yes No N/A N/A Deprecated since Joomla! 3.0
Companybiz Template Yes No No N/A N/A Deprecated since Joomla! 2.5
Multicolor Template Yes No No N/A N/A Deprecated since Joomla! 2.5
Bizweb Template Yes No No N/A N/A Deprecated since Joomla! 2.5

Why some extensions are deprecated?

We want to focus on these extensions that really matter for the Joomla! Community and our customers. When few extensions are probably very useful for some, there is no broad impact. In other cases, there is broad impact, but supporting the extension is too resource taking. For example the JomSocial extensions more or less require also supporting 3 Joomla! versions and our integration with K2 would require support few K2 versions at the same time, something that is beyond our possibilities. Our estimation is that JomSocial is no longer attractive for the community and therefore we will no longer develop the extensions for them. We are focusing on the next versions of Joomla! (i.e. 3.0) and K2 (i.e. 2.6 and 3.0).